<?php
/**
* テーブルモデルを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

interface ITableModel extends IModel
{

	/*
	 *   テーブル名を取得
	 */
	public function getTableName();

	/*
	 *   プライマリキーフィールド名を取得
	 */
	public function getPrimaryKey();

	/*
	 *   外部キーフィールド名を取得
	 */
	public function getForeignKey( $model_name );

	/*
	 *   展開フィールドを取得
	 */
	public function getExtractField( $model_name, $field );

	/*
	 *   関連一覧を取得
	 */
	public function getRelationList();

}
